Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCInvokeMethodDef

`java.lang.Object
oracle.adf.model.binding.DCInvokeMethodDef`

All Implemented Interfaces:
  java.lang.Cloneable, oracle.adf.model.OperationInfo, OperationInfo

public class DCInvokeMethodDef
extends java.lang.Object
implements java.lang.Cloneable, oracle.adf.model.OperationInfo

Implements metadata and logic to invoke a custom action binding method.

Internal: Applications should not use this class.

Constructor Summary
`DCInvokeMethodDef(java.lang.String instName, java.lang.String mthName, DCMethodParameterDef[] params, java.lang.String retName, java.lang.String sInstClassName, java.lang.Boolean bIsViewObjectMethod, java.lang.Boolean bIsLocalObjectReference)` Internal: Applications should not use this constructor.
`DCInvokeMethodDef(java.lang.String instName, java.lang.String mthName, java.lang.String[] types, java.lang.String[] vals, java.lang.String[] options, java.lang.String retName, java.lang.String sInstClassName, java.lang.Boolean bIsViewObjectMethod, java.lang.Boolean bIsLocalObjectReference)` Internal: Applications should not use this constructor.

Method Summary
`java.lang.Object` | `callMethod(DCDataControl dc, java.util.ArrayList params)`
`java.lang.Object` | `clone()` Internal: Applications should not use this method.
`DCInvokeMethod` | `createMethodInstance(DCBindingContainer ctr, oracle.adf.model.OperationBinding action)` Internal: Applications should not use this method.
`java.lang.String[]` | `getArgTypes()` Internal: Applications should not use this method.
`java.lang.String[]` | `getArgVals()` Internal: Applications should not use this method.
`java.lang.String` | `getCachedParamsName()` Internal: Applications should not use this method.
`java.lang.String` | `getClassName()` Internal: Applications should not use this method.
`java.lang.String` | `getInstanceName()` Internal: Applications should not use this method.
`boolean` | `getIsLocalObjectReference()`
`boolean` | `getIsViewObjectMethod()` Internal: Applications should not use this method.
`java.lang.String` | `getMethodName()` Internal: Applications should not use this method.
`java.lang.String` | `getOperationName()` Internal: Applications should not use this method.
`oracle.adf.model.OperationParameter[]` | `getParameters()` Internal: Applications should not use this method.
`java.lang.String` | `getReturnName()` Internal: Applications should not use this method.
`void` | `setArguments(DCMethodParameterDef[] props)` Internal: Applications should not use this method.
`void` | `setArgumentTypes(java.lang.String[] types)` Internal: Applications should not use this method.
`void` | `setArgumentValues(java.lang.String[] vals)` Internal: Applications should not use this method.
`void` | `setBindingContainer(DCBindingContainer bc)`
`void` | `setCachedParamsName(java.lang.String name)` Internal: Applications should not use this method.
`void` | `setIsViewObjectMethod(boolean bSet)` Internal: Applications should not use this method.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DCInvokeMethodDef

    public DCInvokeMethodDef(java.lang.String instName,
                             java.lang.String mthName,
                             java.lang.String[] types,
                             java.lang.String[] vals,
                             java.lang.String[] options,
                             java.lang.String retName,
                             java.lang.String sInstClassName,
                             java.lang.Boolean bIsViewObjectMethod,
                             java.lang.Boolean bIsLocalObjectReference)

  Internal: Applications should not use this constructor.

### DCInvokeMethodDef

    public DCInvokeMethodDef(java.lang.String instName,
                             java.lang.String mthName,
                             DCMethodParameterDef[] params,
                             java.lang.String retName,
                             java.lang.String sInstClassName,
                             java.lang.Boolean bIsViewObjectMethod,
                             java.lang.Boolean bIsLocalObjectReference)

  Internal: Applications should not use this constructor.

Method Detail

### setIsViewObjectMethod

    public void setIsViewObjectMethod(boolean bSet)

  Internal: Applications should not use this method.

### getIsLocalObjectReference

    public boolean getIsLocalObjectReference()

### getIsViewObjectMethod

    public boolean getIsViewObjectMethod()

  Internal: Applications should not use this method.

### setArguments

    public void setArguments(DCMethodParameterDef[] props)

  Internal: Applications should not use this method.

### setBindingContainer

    public void setBindingContainer(DCBindingContainer bc)

### setArgumentTypes

    public void setArgumentTypes(java.lang.String[] types)

  Internal: Applications should not use this method.

### setArgumentValues

    public void setArgumentValues(java.lang.String[] vals)

  Internal: Applications should not use this method.

### callMethod

    public java.lang.Object callMethod(DCDataControl dc,
                                       java.util.ArrayList params)

### getInstanceName

    public final java.lang.String getInstanceName()

  Internal: Applications should not use this method.
  Specified by:
    `getInstanceName` in interface `oracle.adf.model.OperationInfo`

### getOperationName

    public final java.lang.String getOperationName()

  Internal: Applications should not use this method.
  Specified by:
    `getOperationName` in interface `oracle.adf.model.OperationInfo`

### getMethodName

    public final java.lang.String getMethodName()

  Internal: Applications should not use this method.

### getReturnName

    public final java.lang.String getReturnName()

  Internal: Applications should not use this method.
  Specified by:
    `getReturnName` in interface `OperationInfo`

### getCachedParamsName

    public final java.lang.String getCachedParamsName()

  Internal: Applications should not use this method.

### setCachedParamsName

    public final void setCachedParamsName(java.lang.String name)

  Internal: Applications should not use this method.

### getParameters

    public final oracle.adf.model.OperationParameter[] getParameters()

  Internal: Applications should not use this method.
  Specified by:
    `getParameters` in interface `oracle.adf.model.OperationInfo`

### getArgTypes

    public final java.lang.String[] getArgTypes()

  Internal: Applications should not use this method.

### getArgVals

    public final java.lang.String[] getArgVals()

  Internal: Applications should not use this method.

### getClassName

    public final java.lang.String getClassName()

  Internal: Applications should not use this method.

### clone

    public java.lang.Object clone()

  Internal: Applications should not use this method.

### createMethodInstance

    public DCInvokeMethod createMethodInstance(DCBindingContainer ctr,
                                               oracle.adf.model.OperationBinding action)

  Internal: Applications should not use this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.